/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

import openDisplayPageModal from '../modal/openDisplayPageModal.es';

export default function SelectDisplayPageMasterLayoutVerticalCardPropsTransformer({
	additionalProps: {addDisplayPageUrl, mappingTypes, title},
	portletNamespace: namespace,
	...otherProps
}) {
	return {
		...otherProps,
		onClick: (event) => {
			event.preventDefault();

			openDisplayPageModal({
				formSubmitURL: addDisplayPageUrl,
				mappingTypes,
				namespace,
				spritemap: `${Liferay.ThemeDisplay.getPathThemeImages()}/clay/icons.svg`,
				title,
			});
		},
		onKeyDown: (event) => {
			if (
				event.nativeEvent.code === 'Enter' ||
				event.nativeEvent.code === 'Space'
			) {
				event.preventDefault();
				event.target.click();
			}
		},
		role: 'button',
		tabIndex: '0',
	};
}
